/*  @(#)72  1.1 src/com/tivoli/pd/jazn/LocalRemoteDemo/LRAuthzDemo2.java, pd.jazn, am610 07/03/15 10:08:43 @(#)  */

/*
 *
 *
 * Licensed Materials - Property of IBM
 * 5748-XX8
 * (c) Copyright International Business Machines Corp. 2006
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * File Name: LRAuthzDemo2.java
 */




import javax.swing.JFrame;

import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JTextField;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPasswordField;

/***
 * This class provides the main gui interface for the LRADemo
 * program. The demo configures a user, some objects, ACL, POP, and
 * authzrule to allow access decisions on the objects.
 * <p>
 * Part of the testing involves running the decisions in both local
 * and remote modes. Each mode requires it's own application name which
 * is used to register it's server. Unique ports for each mode instance
 * are also required. The same policy and acld server is used for each
 * server and since the overall application handles both servers, the same
 * application server is used.
 *
 * <p>
 *  <img src="./images/PDLRADemo2.gif">
 */
public class PDLRAuthzDemo2 extends JFrame {

	private javax.swing.JPanel jContentPane = null;

	private JLabel jLabel = null;
	private JLabel jLabel1 = null;
	private JLabel jLabel2 = null;
	private JLabel jLabel3 = null;
	private JLabel jLabel4 = null;
	private JLabel jLabel5 = null;
	private JLabel jLabel6 = null;
	private JLabel jLabel7 = null;
	private JTextField jTF_local_appName = null;
	private JTextField jTF_remote_appName = null;
	private JTextField jTF_local_port = null;
	private JTextField jTF_remote_port = null;
	private JTextField jTF_policy_server = null;
	private JTextField jTF_acld_server = null;
	private JButton jB_execute_config = null;
	private JTextField jTF_working_dir = null;
	private JLabel jLabel8 = null;
	private JTextField jTF_appl_server_host = null;
	private JLabel jLabel9 = null;
	private JTextField jTF_sec_master = null;
	private JLabel jLabel10 = null;
	private JPasswordField jPF_sec_master_password = null;
	private JTextField jTF_num_groups = null;
	private JLabel jLabel11 = null;
	private JButton jB_exit = null;
	private JLabel jLabel12 = null;
	private JTextField jTF_default_suffix = null;
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTF_local_appName() {
		if (jTF_local_appName == null) {
			jTF_local_appName = new JTextField();
			jTF_local_appName.setBounds(35, 80, 114, 19);
			jTF_local_appName.setText("app_local");
		}
		return jTF_local_appName;
	}
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	public String getJTF_local_appName_text() {
		
		return jTF_local_appName.getText();
	}
	/**
	 * This method initializes jTextField1	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTF_remote_appName() {
		if (jTF_remote_appName == null) {
			jTF_remote_appName = new JTextField();
			jTF_remote_appName.setBounds(160, 80, 108, 19);
			jTF_remote_appName.setText("app_remote");
		}
		return jTF_remote_appName;
	}
	/**
	 * This method returns the remote application name
	 * as a String	
	 * 	
	 * @return String remote_appName	
	 */
	public String getJTF_remote_appName_text() {
		
		return jTF_remote_appName.getText();
	}
	/**
	 * This method initializes jTextField2	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTF_local_port() {
		if (jTF_local_port == null) {
			jTF_local_port = new JTextField();
			jTF_local_port.setBounds(35, 140, 40, 19);
		}
		return jTF_local_port;
	}
	/**
	 * This method returns the port for the local server
	 * as an integer.	
	 * 	
	 * @return int local_port	
	 */
	public int getJTF_local_port_int() {
		
		return Integer.parseInt(jTF_local_port.getText().trim());
	}
	/**
	 * This method initializes jTextField3	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTF_remote_port() {
		if (jTF_remote_port == null) {
			jTF_remote_port = new JTextField();
			jTF_remote_port.setBounds(160, 140, 41, 19);
		}
		return jTF_remote_port;
	}
	/**
	 * This method returns the port for the remote server
	 * as an integer.	
	 * 	
	 * @return int remote_port	
	 */
	public int getJTF_remote_port_int() {
		
		return Integer.parseInt(jTF_remote_port.getText().trim());
	}
	/**
	 * This method initializes jTextField4	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTF_policy_server() {
		if (jTF_policy_server == null) {
			jTF_policy_server = new JTextField();
			jTF_policy_server.setBounds(35, 223, 126, 19);
		}
		return jTF_policy_server;
	}
	
	
	
	/**
	 * This method initializes jTextField5	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTF_acld_server() {
		if (jTF_acld_server == null) {
			jTF_acld_server = new JTextField();
			jTF_acld_server.setBounds(35, 278, 116, 19);
		}
		return jTF_acld_server;
	}
	/**
	 * This method returns the acld server name
	 * as a String	
	 * 	
	 * @return String acld_server_name	
	 */
	public String getJTF_acld_server_name() {
		
		return jTF_acld_server.getText();
	}
	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJB_execute_config() {
		if (jB_execute_config == null) {
			jB_execute_config = new JButton();
			jB_execute_config.setBounds(25, 393, 210, 26);
			jB_execute_config.setText("Execute Configuration");
			final Object thisclass = this;
			jB_execute_config.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					PDLRTestDemo lrtDemo = null;
					try {
						lrtDemo = new PDLRTestDemo((PDLRAuthzDemo2)thisclass);
					} catch (PDtamdemoException e1) {
						JOptionPane.showMessageDialog(null,e1.getMessage());	
						return;
					}
					JDialog runDiag = new PDLRExerciseDialog((PDLRTestDemo)lrtDemo, (PDLRAuthzDemo2)thisclass);
					runDiag.show();
								
				}
			});
		}
		return jB_execute_config;
	}
	/**
	 * This method initializes jTextField6	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTF_working_dir() {
		if (jTF_working_dir == null) {
			jTF_working_dir = new JTextField();
			jTF_working_dir.setBounds(35, 329, 121, 19);
		}
		return jTF_working_dir;
	}
	/**
	 * This method returns the working directory as
	 * a String	
	 * 	
	 * @return String working_directory	
	 */
	public String getJTF_working_dir_text() {
		
		return jTF_working_dir.getText();
	}
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTF_appl_server_host() {
		if (jTF_appl_server_host == null) {
			jTF_appl_server_host = new JTextField();
			jTF_appl_server_host.setBounds(35, 180, 132, 19);
		}
		return jTF_appl_server_host;
	}
	/**
	 * This method returns the application's server
	 * host as a String	
	 * 	
	 * @return String server_hostname	
	 */
	public String getJTF_appl_server_host_text() {
		
		return jTF_appl_server_host.getText();
	}
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTF_sec_master() {
		if (jTF_sec_master == null) {
			jTF_sec_master = new JTextField();
			jTF_sec_master.setBounds(189, 278, 95, 19);
			jTF_sec_master.setText("sec_master");
		}
		return jTF_sec_master;
	}
	/**
	 * This method returns the name of the sec_master as
	 * a String
	 * 	
	 * @return String sec_master	
	 */
	public String getJTF_sec_master_text() {
		
		return jTF_sec_master.getText();
	}
	/**
	 * This method initializes jPasswordField	
	 * 	
	 * @return javax.swing.JPasswordField	
	 */
	private JPasswordField getJPF_sec_master_password() {
		if (jPF_sec_master_password == null) {
			jPF_sec_master_password = new JPasswordField();
			jPF_sec_master_password.setBounds(188, 329, 96, 19);
		}
		return jPF_sec_master_password;
	}
	/**
	 * This method returns the sec_master password as
	 * a character array (char[])	
	 * 	
	 * @return char [] sec_master_password	
	 */
	public char [] getJPF_sec_master_password_chararr() {
		
		return jPF_sec_master_password.getPassword();
	}
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTF_num_groups() {
		if (jTF_num_groups == null) {
			jTF_num_groups = new JTextField();
			jTF_num_groups.setBounds(188, 362, 60, 19);
			jTF_num_groups.setText("0");
		}
		return jTF_num_groups;
	}
	/**
	 * This method returns the number of groups
	 * as an integer.	
	 * 	
	 * @return int num_groups	
	 */
	public int getJTF_num_groups_int() {
		
		return Integer.parseInt(jTF_num_groups.getText().trim());
	}
	
	
	/**
	 * This method initializes jButton1	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJB_exit() {
		if (jB_exit == null) {
			jB_exit = new JButton();
			jB_exit.setBounds(241, 395, 88, 21);
			jB_exit.setText("Exit");
			jB_exit.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					dispose();
				}
			});
		}
		return jB_exit;
	}

	/**
	 * This is the default constructor
	 */
	public PDLRAuthzDemo2() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 *
	 * @return void
	 */
	private void initialize() {
		this.setSize(388, 524);
		this.setContentPane(getJContentPane());
		this.setTitle("PDLRAuthzDemo");
	}
	/**
	 * This method initializes jContentPane
	 *
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJContentPane() {
		if (jContentPane == null) {
			jLabel12 = new JLabel();
			jLabel11 = new JLabel();
			jLabel10 = new JLabel();
			jLabel9 = new JLabel();
			jLabel8 = new JLabel();
			jLabel7 = new JLabel();
			jLabel6 = new JLabel();
			jLabel5 = new JLabel();
			jLabel4 = new JLabel();
			jLabel3 = new JLabel();
			jLabel2 = new JLabel();
			jLabel1 = new JLabel();
			jLabel = new JLabel();
			jContentPane = new javax.swing.JPanel();
			jContentPane.setLayout(null);
			jLabel.setBounds(0, 0, 158, 27);
			jLabel.setText("Configuration and Setup");
			jLabel1.setBounds(20, 60, 121, 16);
			jLabel1.setText("Application Name:");
			jLabel2.setBounds(20, 120, 119, 14);
			jLabel2.setText("Port:");
			jLabel3.setBounds(20, 40, 98, 16);
			jLabel3.setText("Local Mode");
			jLabel4.setBounds(161, 44, 99, 14);
			jLabel4.setText("Remote Mode");
			jLabel5.setBounds(20, 200, 113, 18);
			jLabel5.setText("Policy Server:");
			jLabel6.setBounds(19, 251, 122, 16);
			jLabel6.setText("Acld Server:");
			jLabel7.setBounds(20, 306, 124, 16);
			jLabel7.setText("Workig Directory:");
			jLabel8.setBounds(20, 160, 167, 20);
			jLabel8.setText("Application Server host");
			jLabel9.setBounds(182, 252, 114, 15);
			jLabel9.setText("Security Master Id:");
			jLabel10.setBounds(183, 308, 103, 14);
			jLabel10.setText("Password:");
			jLabel11.setBounds(30, 367, 146, 13);
			jLabel11.setText("Number of Groups:");
			jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.TRAILING);
			jLabel12.setBounds(1, 448, 123, 18);
			jLabel12.setText("Default Suffix:");
			jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.TRAILING);
			jContentPane.add(jLabel, null);
			jContentPane.add(jLabel1, null);
			jContentPane.add(jLabel2, null);
			jContentPane.add(jLabel3, null);
			jContentPane.add(jLabel4, null);
			jContentPane.add(jLabel5, null);
			jContentPane.add(jLabel6, null);
			jContentPane.add(jLabel7, null);
			jContentPane.add(getJTF_local_appName(), null);
			jContentPane.add(getJTF_remote_appName(), null);
			jContentPane.add(getJTF_local_port(), null);
			jContentPane.add(getJTF_remote_port(), null);
			jContentPane.add(getJTF_policy_server(), null);
			jContentPane.add(getJTF_acld_server(), null);
			jContentPane.add(getJB_execute_config(), null);
			jContentPane.add(getJTF_working_dir(), null);
			jContentPane.add(jLabel8, null);
			jContentPane.add(getJTF_appl_server_host(), null);
			jContentPane.add(jLabel9, null);
			jContentPane.add(getJTF_sec_master(), null);
			jContentPane.add(jLabel10, null);
			jContentPane.add(getJPF_sec_master_password(), null);
			jContentPane.add(getJTF_num_groups(), null);
			jContentPane.add(getJB_exit(), null);
			jContentPane.add(jLabel12, null);
			jContentPane.add(getJTF_default_suffix(), null);
			jContentPane.add(jLabel11, null);
		}
		return jContentPane;
	}
	/**
	 * This method returns the policy server name
	 * as a String	
	 * 	
	 * @return String policy_server_name	
	 */
	public String getJTF_policy_server_name() {
		return jTF_policy_server.getText();
	}
	
		
	
	
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getJTF_default_suffix() {
		if (jTF_default_suffix == null) {
			jTF_default_suffix = new JTextField();
			jTF_default_suffix.setBounds(132, 449, 169, 19);
			jTF_default_suffix.setText("ou=austin,o=ibm,c=us");
		}
		return jTF_default_suffix;
	}
	/**
	 * This method returns default suffix field of panel as
	 * a String	
	 * 	
	 * @return String default_suffix	
	 */
	public String getJTF_default_suffix_text() {
		
		return jTF_default_suffix.getText();
	}
 }  //  @jve:decl-index=0:visual-constraint="10,10"
